<?php 
$active_languages = (!empty($settings['active_languages']) ? $settings['active_languages'] : array());
$languages = wpbs_get_languages();
?>

<h2><?php echo __('Authorize.Net', 'wp-booking-system-authorize-net') ?><?php echo wpbs_get_output_tooltip(__("Accept credit card payments through Authorize.Net.", 'wp-booking-system-authorize-net'));?></h2>

<!-- Enable Authorize.Net -->
<div class="wpbs-settings-field-wrapper wpbs-settings-field-inline wpbs-settings-field-large">
	<label class="wpbs-settings-field-label" for="user_notification_enable">
        <?php echo __( 'Active', 'wp-booking-system-authorize-net'); ?>
    </label>

	<div class="wpbs-settings-field-inner">
        <label for="payment_authorize_net_enable" class="wpbs-checkbox-switch">
            <input type="hidden" name="wpbs_settings[payment_authorize_net_enable]" value="0">
            <input data-target="#wpbs-payment-authorize_net" name="wpbs_settings[payment_authorize_net_enable]" type="checkbox" id="payment_authorize_net_enable"  class="regular-text wpbs-settings-toggle wpbs-settings-wrap-toggle" <?php echo ( !empty( $settings['payment_authorize_net_enable'] ) ) ? 'checked' : '';?> >
            <div class="wpbs-checkbox-slider"></div>
        </label>
	</div>
</div>

<div id="wpbs-payment-authorize_net" class="wpbs-payment-on-arrival-wrapper wpbs-settings-wrapper <?php echo ( !empty($settings['payment_authorize_net_enable']) ) ? 'wpbs-settings-wrapper-show' : '';?>">

    <!-- Payment Method Name -->
    <div class="wpbs-settings-field-translation-wrapper">
        <div class="wpbs-settings-field-wrapper wpbs-settings-field-inline wpbs-settings-field-large">
            <label class="wpbs-settings-field-label" for="payment_authorize_net_name">
                <?php echo __( 'Display name', 'wp-booking-system-authorize-net'); ?>
                <?php echo wpbs_get_output_tooltip(__("The payment method name that appears on the booking form.", 'wp-booking-system-authorize-net'));?>
            </label>

            <div class="wpbs-settings-field-inner">
                <input name="wpbs_settings[payment_authorize_net_name]" type="text" id="payment_authorize_net_name"  class="regular-text" value="<?php echo ( !empty( $settings['payment_authorize_net_name'] ) ) ? $settings['payment_authorize_net_name'] : $defaults['display_name'];?>" >
                <?php if (wpbs_translations_active()): ?><a href="#" class="wpbs-settings-field-show-translations"><?php echo __('Translations', 'wp-booking-system-authorize-net'); ?> <i class="wpbs-icon-down-arrow"></i></a><?php endif?>
            </div>
        </div>
        <?php if (wpbs_translations_active()): ?>
        <!-- Required Field Translations -->
        <div class="wpbs-settings-field-translations">
            <?php foreach ($active_languages as $language): ?>
                <div class="wpbs-settings-field-wrapper wpbs-settings-field-inline wpbs-settings-field-large">
                    <label class="wpbs-settings-field-label" for="payment_authorize_net_name_translation_<?php echo $language; ?>"><img src="<?php echo WPBS_PLUGIN_DIR_URL; ?>/assets/img/flags/<?php echo $language; ?>.png" /> <?php echo $languages[$language]; ?></label>
                    <div class="wpbs-settings-field-inner">
                        <input name="wpbs_settings[payment_authorize_net_name_translation_<?php echo $language; ?>]" type="text" id="payment_authorize_net_name_translation_<?php echo $language; ?>" value="<?php echo (!empty($settings['payment_authorize_net_name_translation_'. $language])) ? esc_attr($settings['payment_authorize_net_name_translation_'. $language]) : ''; ?>" class="regular-text" >
                    </div>
                </div>
            <?php endforeach;?>
        </div>
        <?php endif; ?>
    </div>

    <!-- Payment Method Name -->
    <div class="wpbs-settings-field-translation-wrapper">
        <div class="wpbs-settings-field-wrapper wpbs-settings-field-inline wpbs-settings-field-large">
            <label class="wpbs-settings-field-label" for="payment_authorize_net_description">
                <?php echo __( 'Description', 'wp-booking-system-authorize-net'); ?>
                <?php echo wpbs_get_output_tooltip(__("The payment method description that appears on the booking form.", 'wp-booking-system-authorize-net'));?>
            </label>

            <div class="wpbs-settings-field-inner">
                <input name="wpbs_settings[payment_authorize_net_description]" type="text" id="payment_authorize_net_description"  class="regular-text" value="<?php echo ( !empty( $settings['payment_authorize_net_description'] ) ) ? $settings['payment_authorize_net_description'] : $defaults['description'];?>" >
                <?php if (wpbs_translations_active()): ?><a href="#" class="wpbs-settings-field-show-translations"><?php echo __('Translations', 'wp-booking-system-authorize-net'); ?> <i class="wpbs-icon-down-arrow"></i></a><?php endif?>
            </div>
        </div>
        <?php if (wpbs_translations_active()): ?>
        <!-- Required Field Translations -->
        <div class="wpbs-settings-field-translations">
            <?php foreach ($active_languages as $language): ?>
                <div class="wpbs-settings-field-wrapper wpbs-settings-field-inline wpbs-settings-field-large">
                    <label class="wpbs-settings-field-label" for="payment_authorize_net_description_translation_<?php echo $language; ?>"><img src="<?php echo WPBS_PLUGIN_DIR_URL; ?>/assets/img/flags/<?php echo $language; ?>.png" /> <?php echo $languages[$language]; ?></label>
                    <div class="wpbs-settings-field-inner">
                        <input name="wpbs_settings[payment_authorize_net_description_translation_<?php echo $language; ?>]" type="text" id="payment_authorize_net_description_translation_<?php echo $language; ?>" value="<?php echo (!empty($settings['payment_authorize_net_description_translation_'. $language])) ? esc_attr($settings['payment_authorize_net_description_translation_'. $language]) : ''; ?>" class="regular-text" >
                    </div>
                </div>
            <?php endforeach;?>
        </div>
        <?php endif; ?>
    </div>

    <!-- Invoice Item Name -->
    <div class="wpbs-settings-field-translation-wrapper">
        <div class="wpbs-settings-field-wrapper wpbs-settings-field-inline wpbs-settings-field-large">
            <label class="wpbs-settings-field-label" for="payment_authorize_net_invoice_name">
                <?php echo __( 'Invoice Item Name', 'wp-booking-system-authorize-net'); ?>
                <?php echo wpbs_get_output_tooltip(__('The name of the product that appears on the Authorize.Net invoice. Eg. "Booking at Anne\'s house."', 'wp-booking-system-authorize-net'));?>
            </label>

            <div class="wpbs-settings-field-inner">
                <input name="wpbs_settings[payment_authorize_net_invoice_name]" type="text" id="payment_authorize_net_invoice_name"  class="regular-text" value="<?php echo ( !empty( $settings['payment_authorize_net_invoice_name'] ) ) ? $settings['payment_authorize_net_invoice_name'] : '';?>" >
                <?php if (wpbs_translations_active()): ?><a href="#" class="wpbs-settings-field-show-translations"><?php echo __('Translations', 'wp-booking-system-authorize-net'); ?> <i class="wpbs-icon-down-arrow"></i></a><?php endif?>
            </div>
        </div>
        <?php if (wpbs_translations_active()): ?>
        <!-- Required Field Translations -->
        <div class="wpbs-settings-field-translations">
            <?php foreach ($active_languages as $language): ?>
                <div class="wpbs-settings-field-wrapper wpbs-settings-field-inline wpbs-settings-field-large">
                    <label class="wpbs-settings-field-label" for="payment_authorize_net_invoice_name_translation_<?php echo $language; ?>"><img src="<?php echo WPBS_PLUGIN_DIR_URL; ?>/assets/img/flags/<?php echo $language; ?>.png" /> <?php echo $languages[$language]; ?></label>
                    <div class="wpbs-settings-field-inner">
                        <input name="wpbs_settings[payment_authorize_net_invoice_name_translation_<?php echo $language; ?>]" type="text" id="payment_authorize_net_invoice_name_translation_<?php echo $language; ?>" value="<?php echo (!empty($settings['payment_authorize_net_invoice_name_translation_'. $language])) ? esc_attr($settings['payment_authorize_net_invoice_name_translation_'. $language]) : ''; ?>" class="regular-text" >
                    </div>
                </div>
            <?php endforeach;?>
        </div>
        <?php endif; ?>
    </div>
    

    <!-- API Settings -->
    <div class="wpbs-settings-field-wrapper wpbs-settings-field-inline wpbs-settings-field-heading wpbs-settings-field-large">
        <label class="wpbs-settings-field-label"><?php echo __('API Credentials','wp-booking-system-authorize-net') ?></label>
        <div class="wpbs-settings-field-inner">&nbsp;</div>
    </div>

    <!-- Form Changed Notice -->
    <div class="wpbs-page-notice notice-info wpbs-form-changed-notice"> 
        <p><?php echo __( 'If you need help getting your API Keys, <a target="_blank" href="https://www.wpbookingsystem.com/documentation/authorize-net-integration/">check out our guide</a> which offers step by step instructions.', 'wp-booking-system-authorize-net'); ?></p>
    </div>

    <!-- Environment -->
    <div class="wpbs-settings-field-wrapper wpbs-settings-field-inline wpbs-settings-field-large">
        <div class="wpbs-settings-field-inner">
            <label class="wpbs-settings-field-label" for="user_notification_enable">
                <?php echo __( 'Enable Sandbox', 'wp-booking-system-authorize-net'); ?>
                <?php echo wpbs_get_output_tooltip(__("We recommend enabling sandbox mode and testing the payment integration before going live.", 'wp-booking-system-authorize-net'));?>
            </label>
            <label for="payment_authorize_net_sandbox" class="wpbs-checkbox-switch">
                <input type="hidden" name="wpbs_settings[payment_authorize_net_sandbox]" value="0">
                <input name="wpbs_settings[payment_authorize_net_sandbox]" type="checkbox" id="payment_authorize_net_sandbox"  class="regular-text wpbs-settings-toggle" <?php echo ( !empty( $settings['payment_authorize_net_sandbox'] ) ) ? 'checked' : '';?> >
                <div class="wpbs-checkbox-slider"></div>
            </label>
        </div>
    </div>

    <!-- Sandbox API Login ID -->
    <div class="wpbs-settings-field-wrapper wpbs-settings-field-inline wpbs-settings-field-large">
        <label class="wpbs-settings-field-label" for="payment_authorize_net_sandbox_api_login_id">
            <?php echo __( 'Sandbox API Login ID', 'wp-booking-system-authorize-net'); ?>
        </label>

        <div class="wpbs-settings-field-inner">
            <input name="wpbs_authorize_net_api[payment_authorize_net_sandbox_api_login_id]" type="text" id="payment_authorize_net_sandbox_api_login_id"  class="regular-text " value="<?php echo ( !empty( $authorize_net_api['payment_authorize_net_sandbox_api_login_id'] ) ) ? $authorize_net_api['payment_authorize_net_sandbox_api_login_id'] : '';?>" >
        </div>
    </div>

    <!-- Sandbox Client Key -->
    <div class="wpbs-settings-field-wrapper wpbs-settings-field-inline wpbs-settings-field-large">
        <label class="wpbs-settings-field-label" for="payment_authorize_net_sandbox_transaction_key">
            <?php echo __( 'Sandbox Transaction Key', 'wp-booking-system-authorize-net'); ?>
        </label>

        <div class="wpbs-settings-field-inner">
            <input name="wpbs_authorize_net_api[payment_authorize_net_sandbox_transaction_key]" type="text" id="payment_authorize_net_sandbox_transaction_key"  class="regular-text " value="<?php echo ( !empty( $authorize_net_api['payment_authorize_net_sandbox_transaction_key'] ) ) ? $authorize_net_api['payment_authorize_net_sandbox_transaction_key'] : '';?>" >
        </div>
    </div>
    
    <!-- Sandbox Client Key -->
    <div class="wpbs-settings-field-wrapper wpbs-settings-field-inline wpbs-settings-field-large">
        <label class="wpbs-settings-field-label" for="payment_authorize_net_sandbox_client_key">
            <?php echo __( 'Sandbox Client Key', 'wp-booking-system-authorize-net'); ?>
        </label>

        <div class="wpbs-settings-field-inner">
            <input name="wpbs_authorize_net_api[payment_authorize_net_sandbox_client_key]" type="text" id="payment_authorize_net_sandbox_client_key"  class="regular-text " value="<?php echo ( !empty( $authorize_net_api['payment_authorize_net_sandbox_client_key'] ) ) ? $authorize_net_api['payment_authorize_net_sandbox_client_key'] : '';?>" >
        </div>
    </div>

    <!-- Live API Login ID -->
    <div class="wpbs-settings-field-wrapper wpbs-settings-field-inline wpbs-settings-field-large">
        <label class="wpbs-settings-field-label" for="payment_authorize_net_live_api_login_id">
            <?php echo __( 'Production API Login ID', 'wp-booking-system-authorize-net'); ?>
        </label>

        <div class="wpbs-settings-field-inner">
            <input name="wpbs_authorize_net_api[payment_authorize_net_live_api_login_id]" type="text" id="payment_authorize_net_live_api_login_id"  class="regular-text " value="<?php echo ( !empty( $authorize_net_api['payment_authorize_net_live_api_login_id'] ) ) ? $authorize_net_api['payment_authorize_net_live_api_login_id'] : '';?>" >
        </div>
    </div>

    <!-- Live Client Key -->
    <div class="wpbs-settings-field-wrapper wpbs-settings-field-inline wpbs-settings-field-large">
        <label class="wpbs-settings-field-label" for="payment_authorize_net_live_transaction_key">
            <?php echo __( 'Production Transaction Key', 'wp-booking-system-authorize-net'); ?>
        </label>

        <div class="wpbs-settings-field-inner">
            <input name="wpbs_authorize_net_api[payment_authorize_net_live_transaction_key]" type="text" id="payment_authorize_net_live_transaction_key"  class="regular-text " value="<?php echo ( !empty( $authorize_net_api['payment_authorize_net_live_transaction_key'] ) ) ? $authorize_net_api['payment_authorize_net_live_transaction_key'] : '';?>" >
        </div>
    </div>
    
    <!-- Live Client Key -->
    <div class="wpbs-settings-field-wrapper wpbs-settings-field-inline wpbs-s<strong></strong>ettings-field-large">
        <label class="wpbs-settings-field-label" for="payment_authorize_net_live_client_key">
            <?php echo __( 'Production Client Key', 'wp-booking-system-authorize-net'); ?>
        </label>

        <div class="wpbs-settings-field-inner">
            <input name="wpbs_authorize_net_api[payment_authorize_net_live_client_key]" type="text" id="payment_authorize_net_live_client_key"  class="regular-text " value="<?php echo ( !empty( $authorize_net_api['payment_authorize_net_live_client_key'] ) ) ? $authorize_net_api['payment_authorize_net_live_client_key'] : '';?>" >
        </div>
    </div>


</div>